Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040208
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2019-02-14 16:062019-03-28 14:56
Reporterjoniturralde93View Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision4d918d964e28
ProjectionnoneETAnoneTarget Version3.0PR18Q3.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0PR18Q3.3SCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040208: Unpost process can be very slow

DescriptionIn a customer instance with a lot of data in FACT_ACCT, the queries are too slow when filtering by record_id.
Attached query from ResetAccounting (getDocbasetypes method) which makes the process slow.

Also attached explain analyze before and after our proposed solution.
Steps To ReproduceIn customer environment:

1. Go to goods shipment.
2. Unpost a record.
3. Process time can vary, but sometimes can easily take 30-60 mins

Almost all the time consumed by the attached query.

Proposed SolutionCREATE INDEX FACT_ACCT_RECORDID ON FACT_ACCT(recordid);
TagsNo tags attached.
Attached Files file icon query [^] (373 bytes) 2019-02-14 16:08 [Show Content]
png file icon beforefix.png [^] (199,622 bytes) 2019-02-14 16:09


png file icon afterfix.png [^] (208,978 bytes) 2019-02-14 16:09

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0039171 closedSandrahuguet Reset Accounting: performance problem executing unpost functionality with big database 
depends on backport 00402403.0PR19Q1 closedAtulOpenbravo Unpost process can be very slow 
depends on backport 00402413.0PR18Q4.2 closedAtulOpenbravo Unpost process can be very slow 
depends on backport 00402423.0PR18Q3.5 closedAtulOpenbravo Unpost process can be very slow 

-  Notes
(0109956)
hgbot (developer)
2019-02-20 15:10

Repository: erp/devel/pi
Changeset: 4d918d964e2839b2e0d3cca3cad0400a395a7039
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Feb 20 09:46:02 2019 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/4d918d964e2839b2e0d3cca3cad0400a395a7039 [^]

Fixes Issue 0040208:Unpost process can be very slow

To use existing index fact_acct_table_record_id for
ad_table_id and record_id columns of fact_acct, ad_table_id
is added in AND clause of exists subquery from fact_acct
table only if record id is sent to getDocbasetypes method.

---
M src/org/openbravo/financial/ResetAccounting.java
---
(0109959)
Sandrahuguet (developer)
2019-02-20 15:11

Code review + testing OK
(0110825)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-02-14 16:06 joniturralde93 New Issue
2019-02-14 16:06 joniturralde93 Assigned To => Triage Finance
2019-02-14 16:06 joniturralde93 Modules => Core
2019-02-14 16:06 joniturralde93 Triggers an Emergency Pack => No
2019-02-14 16:08 joniturralde93 File Added: query
2019-02-14 16:09 joniturralde93 File Added: beforefix.png
2019-02-14 16:09 joniturralde93 File Added: afterfix.png
2019-02-14 16:10 joniturralde93 Relationship added related to 0039171
2019-02-14 17:34 Sandrahuguet Assigned To Triage Finance => AtulOpenbravo
2019-02-14 17:58 martinsdan Issue Monitored: martinsdan
2019-02-18 08:45 AtulOpenbravo Status new => scheduled
2019-02-20 10:10 AtulOpenbravo Status scheduled => acknowledged
2019-02-20 10:11 AtulOpenbravo Status acknowledged => scheduled
2019-02-20 15:10 hgbot Checkin
2019-02-20 15:10 hgbot Note Added: 0109956
2019-02-20 15:10 hgbot Status scheduled => resolved
2019-02-20 15:10 hgbot Resolution open => fixed
2019-02-20 15:10 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/4d918d964e2839b2e0d3cca3cad0400a395a7039 [^]
2019-02-20 15:11 Sandrahuguet Review Assigned To => Sandrahuguet
2019-02-20 15:11 Sandrahuguet Note Added: 0109959
2019-02-20 15:11 Sandrahuguet Status resolved => closed
2019-02-20 15:11 Sandrahuguet Fixed in Version => 3.0PR19Q2
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110825


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker